<template>
    <div id="home" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        <ul class="list">
            <li v-for="(item,index) in conlist" :key="index"><span class="span1">{{item.Name}}</span><span class="span2"><a :href="item.Url"><img class="img2" src="../../assets/download.png" alt="" ></a>&nbsp;|&nbsp;<a :href="item.Url"><img src="../../assets/eye.png" class="img1"></a></span></li>   
        </ul>
         <ul class="list">
            <li v-for="(item,index) in Prolist" :key="index"><span class="span1">{{item.Name}}</span><span class="span2"><a :href="item.Url"><img class="img2" src="../../assets/download.png" alt="" ></a>&nbsp;|&nbsp;<a :href="item.Url"><img src="../../assets/eye.png" class="img1"></a></span></li>
        </ul>
        <div class="tip">
            <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
            >
                <span style="margin:0 auto; width:20%;">{{word}}</span>
                <span slot="footer" class="dialog-footer">
                    <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
                </span>
            </el-dialog>
        </div>
    </div>
</template> 
<style lang="scss" type="text/scss" scoped>
    #home{
        width:100%;
    }
    #home .list{
        width: 100%;
        margin-bottom: 0.2rem;
    }
    #home .list li{
        width: 100%;
        height: 1rem;
        padding-left: 0.2rem;
        background: white;
        border-bottom: 0.02rem solid #eeeeee;
        color: gray;
        background: url(../../assets/file.png) no-repeat  0.2rem center white;
        background-size: 0.3rem 0.3rem;
    }
    #home .list li{
        display: flex;
        align-items: center;
    }
    #home .list li .span1{
        width: 80%;
        text-indent:0.4rem;
    }
    #home .list li .span2{
        width: 20%;
        display: flex;
        align-items:center;
        // text-align: center;

    }
     #home  .img1{
         width: 0.45rem;
         height: 0.45rem;
     }
      #home  .img2{
         width: 0.4rem;
         height: 0.4rem;
     }
    //  #home .list li .span2 img:nth-child(1){
    //      width: 0.4rem;
    //      height: 0.4rem;
    //  }
</style>
<script>
export default {
    data(){
        return{
            isshow:false,
            istype:'',
            conlist:[],
            Prolist:[],
            issave:false,
            word:''
        }
    },
    methods:{
        sureback(){
            this.issave=false;
            // if(this.$route.query.key=="project"){
            //     // this.$router.push('./project')
            //      this.$router.push({path:'./project',query:{id:this.$route.query.id}});
            // }else{
            //     this.$router.push({path:'./defendproject',query:{id:this.$route.query.id}});
                
            // }
        }
    },
    created(){
        let that=this;
        that.isshow=true;
        that.istype="加载中";
          client.apexrest('/rest/SalesforceFiled?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  if(data.Message=="Success"){
                     that.isshow=false;
                     if(data.ConAttachlist.length>0 || data.ProAttachlist.length>0){
                         that.conlist=data.ConAttachlist;
                          that.Prolist=data.ProAttachlist;
                     }else{
                          that.isshow=false;
                          that.conlist=[];
                          that.Prolist=[];
                          that.issave=true;
                          that.word="暂无文件";
                     }
                    
                     
                  }else{
                      that.isshow=false;
                     
                      
                  }
                },function(error){
                    that.isshow=false;
                  console.log(error);
                  
                },'GET',null,true)
    }
}
</script>

